.. _iris:

============================
Iris reference documentation
============================


.. sidebar:: Modules in this package


   .. toctree::
      :maxdepth: 1
      :titlesonly:

      iris/analysis.rst
      iris/aux_factory
      iris/config
      iris/coord_categorisation
      iris/coord_systems
      iris/coords
      iris/cube
      iris/exceptions
      iris/experimental.rst
      iris/fileformats.rst
      iris/io.rst
      iris/iterate
      iris/palette
      iris/pandas
      iris/plot
      iris/proxy
      iris/quickplot
      iris/std_names
      iris/symbols
      iris/time
      iris/unit
      iris/util




    

.. currentmodule:: iris

.. automodule:: iris

In this module:

 * :py:obj:`load`
 * :py:obj:`load_cube`
 * :py:obj:`load_cubes`
 * :py:obj:`load_raw`
 * :py:obj:`save`
 * :py:obj:`Constraint`
 * :py:obj:`AttributeConstraint`
 * :py:obj:`sample_data_path`
 * :py:obj:`site_configuration`
 * :py:obj:`Future`
 * :py:obj:`FUTURE`
 * :py:obj:`IrisDeprecation`



.. autofunction:: iris.load


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


.. autofunction:: iris.load_cube


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


.. autofunction:: iris.load_cubes


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


.. autofunction:: iris.load_raw


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


.. autofunction:: iris.save


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Constraints are the mechanism by which cubes can be pattern matched and
filtered according to specific criteria.

Once a constraint has been defined, it can be applied to cubes using the
:meth:`Constraint.extract` method.

..

    .. autoclass:: iris.Constraint
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Provides a simple Cube-attribute based :class:`Constraint`.

..

    .. autoclass:: iris.AttributeConstraint
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


.. autofunction:: iris.sample_data_path


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->



.. autodata:: iris.site_configuration


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


Run-time configuration controller.

..

    .. autoclass:: iris.Future
        :members:
        :undoc-members:
        :inherited-members:


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->



.. autodata:: iris.FUTURE


.. raw:: html

    <p class="hr_p"><a href="#">&uarr;&#32&#32 top &#32&#32&uarr;</a></p>
    <!--

-----------

.. raw:: html

    -->


An Iris deprecation warning.

..

    .. autoclass:: iris.IrisDeprecation
        :members:
        :undoc-members:
        :inherited-members:

